Vla-addsolid
- 構文
- (vla-addsolid vla-object Point1 Point2 Point3 Point4)
- 機能
- 2D 塗り潰し図形を作成する。
- 引数
-
- vla-object … vlaオブジェクト(ModelSpace、PaperSpace、Block のコレクション)
- Point1 … 一点目
- Point2 … 二点目
- Point3 … 三点目
- Point4 … 四点目
- 戻り値
- 作成した図形の VLAオブジェクト
- サンプル
(defun c:my-addSolid () (setq *ActDoc* (vla-get-ActiveDocument (vlax-get-Acad-Object))) (setq mspace (vla-get-modelspace *actdoc*)) (setq pt1 (getpoint "\n1点目 : ")) (setq pt2 (getpoint PT1 "\n2点目 : ")) (setq pt3 (getpoint PT2 "\n3点目 : ")) (setq pt4 (getpoint PT3 "\n4点目 : ")) (setq ret_solid (vla-AddSolid mspace (vlax-3d-point pt1) (vlax-3d-point pt2) (vlax-3d-point pt3) (vlax-3d-point pt4))) (princ) );defun ;ダンプ (vlax-dump-object ret_solid) #<vlax-vbObject IGcadSolid 27394b84> ;PROPERT: ; Application (RO) = #<vlax-vbObject IGcadApplication 0f0d2cbc> ; color = #<variant 0 > ; Coordinate = #<variant 0 > ; Coordinates = #<variant 0 > ; Database (RO) = #<vlax-vbObject IGcadDatabase 274a45d8> ; Document (RO) = #<vlax-vbObject IGcadDocument 0f25fe3c> ; EntityName (RO) = #<variant 0 > ; EntityType (RO) = #<variant 0 > ; Handle (RO) = "644" ; HasExtensionDictionary (RO) = #<variant 0 > ; Hyperlinks (RO) = #<variant 0 > ; Layer = #<variant 0 > ; Linetype = #<variant 0 > ; LinetypeScale = #<variant 0 > ; Lineweight = #<variant 0 > ; Material = #<variant 0 > ; Normal = #<variant 0 > ; ObjectID (RO) = 659178440 ; ObjectName (RO) = #<variant 0 > ; OwnerID (RO) = #<variant 0 > ; PlotStyleName = #<variant 0 > ; Thickness = #<variant 0 > ; TrueColor = #<variant 0 > ; Visible = #<variant 0 >
関連事項